
Infrastructure - Story #929

modify client-side resolve() implementations to match new architecture

2010-10-06 20:15 - Matthew Jones

Status: Closed Start date: 2010-10-07

Priority: High Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2010.43   

Story Points:    

Description

The specifications for resolve() have been modified, and now will contain a new set of fields, inlcuding baseURL and URL.  This story

should include tasks for modifying the client side implementation of resolve() in d1-java and R client.

Subtasks:

Task # 978: Update python serialization code to match schema changes Closed

Task # 974: Update d1_libclient_java resolve() method Closed

Task # 850: modify R client to call the resolve() on CN to determine data location Closed

History

#1 - 2010-10-07 18:14 - Matthew Jones

- Position set to 1

#2 - 2010-10-07 18:31 - Matthew Jones

- Subject changed from modify Java  and R Client resolve() implementations to match new architecture to modify client-side resolve() implementations

to match new architecture

#3 - 2010-10-07 18:31 - Matthew Jones

- Position set to 12

- Target version set to Sprint-2010.41

- Position deleted (4)

#4 - 2010-10-11 16:48 - Matthew Jones

- Position deleted (27)

- Position set to 6

#5 - 2010-10-21 17:04 - Matthew Jones

- Target version changed from Sprint-2010.41 to Sprint-2010.42

- Position deleted (6)

- Position set to 17

#6 - 2010-10-22 16:49 - Dave Vieglais

- Position set to 5

- Target version changed from Sprint-2010.42 to Sprint-2010.43

- Position deleted (20)

#7 - 2010-10-29 16:54 - Matthew Jones

- Status changed from New to In Progress
#8 - 2010-10-30 02:21 - Matthew Jones

- Status changed from In Progress to Closed

All clients now using new resolve() format, so closing story.
